﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace LiveChart
{
   public class ChartPage : ContentPage
    {
        DateTime time = new DateTime(2017, 01, 01);

        Random random = new Random();

        ObservableCollection<ChartDataPoint> datas = new ObservableCollection<ChartDataPoint>();

        public ChartPage()
        {
            this.Title = "ChartPage";

            SfChart chart = new SfChart();

            DateTimeAxis xAxis = new DateTimeAxis();
            xAxis.LabelStyle.LabelFormat = "mm:ss";
            xAxis.AutoScrollingDelta = 10;
            xAxis.AutoScrollingDeltaType = DateTimeDeltaType.Seconds;
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            LineSeries series = new LineSeries();
            series.ItemsSource = datas;
            chart.Series.Add(series);

            LoadData();

            chart.ChartBehaviors.Add(new ChartZoomPanBehavior());
            Content = chart;
        }
       
        void LoadData()
        {
            for (var i = 0; i < 20; i++)
            {
                datas.Add(new ChartDataPoint(time, random.Next(0, 100)));
                time = time.AddSeconds(5);
            }
        }
    }
}
